Skip to content

Load Balancer Status

GET
/api/v1/appliances/status/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/appliances/status/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'

Lightweight status endpoint used to poll the lifecycle state of a load balancer (for example after create, upgrade, or power actions). Returns the id, name, and status (such as Creating, Running, Powered off) plus a data_monitor object. Pass the id query parameter to scope the response to a single load balancer.

id
string

Load balancer (appliance) ID to fetch status for. Omit to list status for all load balancers in the project.

Example

<LB_ID>
page_no
integer

1-based page number to retrieve.

Example

1
per_page
integer

Number of records to return per page.

Example

5
advance_search_string
boolean

Reserved search flag used by the console.

Example

true
project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key used to authenticate the request

Example

<API_KEY>
location
required
string

Region to filter by.

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
name
string
status
string
data_monitor
object
errors
object
message
string
total_page_number
integer
total_count
integer

Example

{
"code": 200,
"data": [
{
"id": 7975,
"name": "LB-NLB-26321-4626",
"status": "Creating"
}
],
"message": "Success",
"total_page_number": 1,
"total_count": 1
}